Vultr CentOS6.8换内核装锐速

虽说手上有其他VPS,但相比之下Vultr有日本机房,配置不错,价格便宜,带宽充足,各种优点,所以放着不用还是很可惜。

拿来使用吧,一个KVM架构的VPS不装锐速实在说不过去啊!正好,在hostloc看到Vicer这位大佬前不久发布了“锐速[lotServer] 安装脚本 [更新:解决断流问题] ”,就想着装一个用用吧。然后傻眼了,锐速并不支持CentOS6.8,或者说没有支持任何CentOS6.8的内核,怎么办呢?降内核,然后装锐速咯!

首先,看看自己的CentOS版本,按照《一些Liunx常用命令和VPS相关命令》这篇日志里的命令:

cat /etc/issue

可以看到我们确实是CentOS6.8

vultr-ls01.png

接下来查看内核版本,命令是:

uname -a

可以看到我们当前的内核是2.6.32-642.6.2.el6.x86_64

点击查看原图

对比锐速支持的内核列表,地址:https://github.com/0oVicero0/serverSpeeder_kernel/blob/master/SystemList.md

我们可以看到,我们的内核并不在支持范围内,那么要降级成什么内核呢?

现在我们需要去http://ftp.scientificlinux.org/linux/scientific/6.X/XX/updates/security/ 

这个链接寻找能够匹配同时又兼容锐速的内核。说明一下上面地址中,6.X代表你的系统版本。后面的XX代表系统位数,32位就是i386,64位就是X86_64

我看完了6.8的内核,锐速都不支持,6.7的内核锐速支持的,那边却没有,直到6.6的2.6.32-504.3.3.el6.x86_64内核,终于与锐速匹配了。

于是,咱们先换内核吧,先打命令下载:

wget http://ftp.scientificlinux.org/linux/scientific/6.6/x86_64/updates/security/kernel-2.6.32-504.3.3.el6.x86_64.rpm

点击查看原图

然后执行安装:

rpm -ivh kernel-2.6.32-504.3.3.el6.x86_64.rpm --force

点击查看原图

安装完成后需要打命令重启

reboot

重启完成后,可以再用前面的命令查看一下内核,确认是否版本已经改了。

点击查看原图

然后执行锐速安装脚本:

wget --no-check-certificate -O appex.sh https://raw.githubusercontent.com/0oVicero0/serverSpeeser_Install/master/appex.sh && chmod +x appex.sh && bash appex.sh install

安装中间需要敲回车键继续,另外有几个地方需选择,分别是是否为VPN加速,是否设为自动启动,现在是否启动锐速。

我全部选的y,然后完成后,往前面看一点就能看到“LotServer is running!”的日志消息。

点击查看原图

vultr-ls07.png

至此锐速LotServer脚本就安装按成了,下面是原作者给出的卸载命令,可以干净卸载掉锐速:

wget --no-check-certificate -O appex.sh https://raw.githubusercontent.com/0oVicero0/serverSpeeser_Install/master/appex.sh && chmod +x appex.sh && bash appex.sh unstall

同时,原作者给出了相关使用的几个命令:

/appex/bin/lotServer.sh start //启动命令
/appex/bin/lotServer.sh status //状态查询
/appex/bin/lotServer.sh stop //停止加速

Vultr安装锐速就到此为止了,至于安装后的效果,网上有很多测试报告,大家可以参考。

其实这次的重点并不在于怎么执行锐速的安装,而是前面的系统换降级换内核,通过换内核解决问题才是重点。

共有 0 条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注